OpenJPH: ojph::stex::rtp_packet Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::stex::rtp_packet Struct Reference

interprets RTP header and payload, and holds received packets. More...

`#include <stream_expand_support.h>`

## Public Types
enum | packet_type : ui32 { PT_BODY = 0 , PT_MAIN_FOLLOWED_BY_MAIN = 1 , PT_MAIN_FOLLOWED_BY_BODY = 2 , PT_MAIN = 3 }
| packet types based on the main header of draft-ietf-avtcore-rtp-j2k-scl-00 More...

## Public Member Functions
| rtp_packet ()
| default constructor
void | init (rtp_packet *next)
| Call this to link packets.
ui32 | get_rtp_version ()
bool | is_padded ()
bool | is_extended ()
ui32 | get_csrc_count ()
bool | is_marked ()
ui32 | get_payload_type ()
ui32 | get_seq_num ()
ui32 | get_time_stamp ()
ui32 | get_ssrc ()
ui32 | get_packet_type ()
ui32 | get_TP ()
ui32 | get_ORDH ()
ui32 | get_PTSTAMP ()
ui8 * | get_data ()
ui32 | get_data_size ()
bool | is_PTSTAMP_used ()
ui32 | get_XTRAC ()
bool | is_codestream_header_reusable ()
bool | is_component_colorimetry_used ()
bool | is_codeblock_caching_used ()
bool | is_RANGE ()
ui32 | get_PRIMS ()
ui32 | get_TRANS ()
ui32 | get_MAT ()
ui32 | get_RES ()
ui32 | get_QUAL ()
ui32 | get_data_pos ()
ui32 | get_PID ()

## Public Attributes
ui8 | data [max_size]
| data in the packet
ui32 | num_bytes
| number of bytes
rtp_packet * | next
| used for linking packets

## Static Public Attributes
static constexpr int | max_size = 2048
| maximum packet size

## Detailed Description

interprets RTP header and payload, and holds received packets.

This object interpret RFC 3550 and draft-ietf-avtcore-rtp-j2k-scl-00. The implementation is not complete, but it is sufficient for the time being.

Definition at line 78 of file stream_expand_support.h.

## Member Enumeration Documentation

## ◆ packet_type

enum ojph::stex::rtp_packet::packet_type : ui32

packet types based on the main header of draft-ietf-avtcore-rtp-j2k-scl-00

Enumerator
PT_BODY |
PT_MAIN_FOLLOWED_BY_MAIN |
PT_MAIN_FOLLOWED_BY_BODY |
PT_MAIN |

Definition at line 84 of file stream_expand_support.h.

## Constructor & Destructor Documentation

## ◆ rtp_packet()

ojph::stex::rtp_packet::rtp_packet | ( |  | ) |
| inline

default constructor

Definition at line 95 of file stream_expand_support.h.

References next, and num_bytes.

Referenced by init().

## Member Function Documentation

## ◆ get_csrc_count()

ui32 ojph::stex::rtp_packet::get_csrc_count | ( |  | ) |
| inline

Definition at line 109 of file stream_expand_support.h.

References data.

## ◆ get_data()

ui8 * ojph::stex::rtp_packet::get_data | ( |  | ) |
| inline

Definition at line 136 of file stream_expand_support.h.

References data.

Referenced by ojph::stex::frames_handler::push().

## ◆ get_data_pos()

ui32 ojph::stex::rtp_packet::get_data_pos | ( |  | ) |
| inline

Definition at line 188 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## ◆ get_data_size()

ui32 ojph::stex::rtp_packet::get_data_size | ( |  | ) |
| inline

Definition at line 138 of file stream_expand_support.h.

References num_bytes.

Referenced by ojph::stex::frames_handler::push().

## ◆ get_MAT()

ui32 ojph::stex::rtp_packet::get_MAT | ( |  | ) |
| inline

Definition at line 174 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## ◆ get_ORDH()

ui32 ojph::stex::rtp_packet::get_ORDH | ( |  | ) |
| inline

Definition at line 127 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## ◆ get_packet_type()

ui32 ojph::stex::rtp_packet::get_packet_type | ( |  | ) |
| inline

Definition at line 123 of file stream_expand_support.h.

References data.

Referenced by get_data_pos(), get_MAT(), get_ORDH(), get_PID(), get_PRIMS(), get_QUAL(), get_RES(), get_TRANS(), get_XTRAC(), is_codeblock_caching_used(), is_codestream_header_reusable(), is_component_colorimetry_used(), is_PTSTAMP_used(), is_RANGE(), and ojph::stex::frames_handler::push().

## ◆ get_payload_type()

ui32 ojph::stex::rtp_packet::get_payload_type | ( |  | ) |
| inline

Definition at line 111 of file stream_expand_support.h.

References data.

## ◆ get_PID()

ui32 ojph::stex::rtp_packet::get_PID | ( |  | ) |
| inline

Definition at line 196 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## ◆ get_PRIMS()

ui32 ojph::stex::rtp_packet::get_PRIMS | ( |  | ) |
| inline

Definition at line 166 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## ◆ get_PTSTAMP()

ui32 ojph::stex::rtp_packet::get_PTSTAMP | ( |  | ) |
| inline

Definition at line 131 of file stream_expand_support.h.

References data.

## ◆ get_QUAL()

ui32 ojph::stex::rtp_packet::get_QUAL | ( |  | ) |
| inline

Definition at line 184 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## ◆ get_RES()

ui32 ojph::stex::rtp_packet::get_RES | ( |  | ) |
| inline

Definition at line 180 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## ◆ get_rtp_version()

ui32 ojph::stex::rtp_packet::get_rtp_version | ( |  | ) |
| inline

Definition at line 106 of file stream_expand_support.h.

References data.

## ◆ get_seq_num()

ui32 ojph::stex::rtp_packet::get_seq_num | ( |  | ) |
| inline

Definition at line 112 of file stream_expand_support.h.

References data.

Referenced by ojph::stex::packets_handler::exchange(), and ojph::stex::frames_handler::push().

## ◆ get_ssrc()

ui32 ojph::stex::rtp_packet::get_ssrc | ( |  | ) |
| inline

Definition at line 119 of file stream_expand_support.h.

References data.

## ◆ get_time_stamp()

ui32 ojph::stex::rtp_packet::get_time_stamp | ( |  | ) |
| inline

Definition at line 117 of file stream_expand_support.h.

References data.

Referenced by main(), and ojph::stex::frames_handler::push().

## ◆ get_TP()

ui32 ojph::stex::rtp_packet::get_TP | ( |  | ) |
| inline

Definition at line 125 of file stream_expand_support.h.

References data.

## ◆ get_TRANS()

ui32 ojph::stex::rtp_packet::get_TRANS | ( |  | ) |
| inline

Definition at line 170 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## ◆ get_XTRAC()

ui32 ojph::stex::rtp_packet::get_XTRAC | ( |  | ) |
| inline

Definition at line 146 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## ◆ init()

void ojph::stex::rtp_packet::init | ( | rtp_packet * | next | ) |
| inline

Call this to link packets.

Parameters

  next | pointer to next packet

Definition at line 102 of file stream_expand_support.h.

References next, and rtp_packet().

## ◆ is_codeblock_caching_used()

bool ojph::stex::rtp_packet::is_codeblock_caching_used | ( |  | ) |
| inline

Definition at line 158 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## ◆ is_codestream_header_reusable()

bool ojph::stex::rtp_packet::is_codestream_header_reusable | ( |  | ) |
| inline

Definition at line 150 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## ◆ is_component_colorimetry_used()

bool ojph::stex::rtp_packet::is_component_colorimetry_used | ( |  | ) |
| inline

Definition at line 154 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## ◆ is_extended()

bool ojph::stex::rtp_packet::is_extended | ( |  | ) |
| inline

Definition at line 108 of file stream_expand_support.h.

References data.

## ◆ is_marked()

bool ojph::stex::rtp_packet::is_marked | ( |  | ) |
| inline

Definition at line 110 of file stream_expand_support.h.

References data.

Referenced by ojph::stex::frames_handler::push().

## ◆ is_padded()

bool ojph::stex::rtp_packet::is_padded | ( |  | ) |
| inline

Definition at line 107 of file stream_expand_support.h.

References data.

## ◆ is_PTSTAMP_used()

bool ojph::stex::rtp_packet::is_PTSTAMP_used | ( |  | ) |
| inline

Definition at line 142 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## ◆ is_RANGE()

bool ojph::stex::rtp_packet::is_RANGE | ( |  | ) |
| inline

Definition at line 162 of file stream_expand_support.h.

References data, get_packet_type(), and PT_BODY.

## Member Data Documentation

## ◆ data

ui8 ojph::stex::rtp_packet::data[max_size]

data in the packet

Definition at line 208 of file stream_expand_support.h.

Referenced by get_csrc_count(), get_data(), get_data_pos(), get_MAT(), get_ORDH(), get_packet_type(), get_payload_type(), get_PID(), get_PRIMS(), get_PTSTAMP(), get_QUAL(), get_RES(), get_rtp_version(), get_seq_num(), get_ssrc(), get_time_stamp(), get_TP(), get_TRANS(), get_XTRAC(), is_codeblock_caching_used(), is_codestream_header_reusable(), is_component_colorimetry_used(), is_extended(), is_marked(), is_padded(), is_PTSTAMP_used(), is_RANGE(), and main().

## ◆ max_size

int ojph::stex::rtp_packet::max_size = 2048
| staticconstexpr

maximum packet size

Definition at line 206 of file stream_expand_support.h.

Referenced by main().

## ◆ next

rtp_packet* ojph::stex::rtp_packet::next

used for linking packets

Definition at line 210 of file stream_expand_support.h.

Referenced by ojph::stex::packets_handler::consume_packet(), ojph::stex::packets_handler::exchange(), ojph::stex::packets_handler::flush(), init(), and rtp_packet().

## ◆ num_bytes

ui32 ojph::stex::rtp_packet::num_bytes

number of bytes

Definition at line 209 of file stream_expand_support.h.

Referenced by ojph::stex::packets_handler::exchange(), get_data_size(), main(), and rtp_packet().

The documentation for this struct was generated from the following file:

- /build/openjph/src/OpenJPH/src/apps/ojph_stream_expand/stream_expand_support.h